Support » Allgemeine Fragen » Aktualisierung fehlgeschlagen. Die Antwort ist keine gültige JSON-Antwort.

  • Hallo zusammen,
    ich benötige Hilfe bei meiner Webseite. Hier ist in der Erstellung einer Seite zunächst erstmal kein Problem, wenn ich die Seite jedoch aktualisieren möchte, bekomme ich die Fehlermeldung „Aktualisierung fehlgeschlagen. Die Antwort ist keine gültige JSON-Antwort.“.
    Ich hatte schon ähnliche Beträge gefunden aber die konnten mir auch nicht helfen.
    Ich habe Plug-Ins de-/aktiviert und alles aktualisiert, der Fehler ist immernoch vorhanden.

    Danke im Voraus.

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Geh mal bitte auf Einstellungen > Permalinks und speichere nochmal die Permalink-Einstellungen. Probier dann, deine Seite erneut zu aktualisieren. Ändert sich etwas?

    Thread-Ersteller kevinde95

    (@kevinde95)

    Hi ne leider nicht.
    Der Fehler bleibt. Ich habe auch andere Permalink-Optionen versucht aber der Fehler bleibt, wenn ich die Editor-Seite aktualisieren will.

    Beim Laden der Seite gibt es keine Probleme, nur das aktualisieren vom Inhalt der Seite.

    Hallo,
    die Hinweise zu WordPress 5.5 hast du schon gelesen? – Möglicherweise kann dein Problem durch die Installation des Plugins Enable jQuery Migrate Helper behoben werden (siehe o. g. Beitrag). Lösche bitte anschließend Browser- und sonstige Caches. Das Plugin liefert dir auch Informationen darüber, welches Plugin oder Theme möglicherweise betroffen ist. Interessant ist in dem Zusammenhang auch der folgende Beitrag

    Siehe auch: https://make.wordpress.org/core/2020/06/29/updating-jquery-version-shipped-with-wordpress/
    Viele Grüße
    Hans-Gerd

    Thread-Ersteller kevinde95

    (@kevinde95)

    Es wird folgendes im Plugin Menu aufgezeigt:

    jQuery Migrate Helper — Warnings encountered
    
    Diese Seite erzeugte folgende Warnungen:
    
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.delegate() is deprecated
        https://kevindenis.eu/wp-content/plugins/scormcloud/scripts/scormcloud.admin.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-content/themes/rife-free/js/admin-script.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.bind() is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.submit() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.mousedown() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.focus() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/updates.min.js: jQuery.fn.change() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/plugin-install.min.js: jQuery.fn.resize() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/plugin-install.min.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/svg-painter.js: jQuery.fn.hover() is deprecated
    
    Bitte stelle sicher, dass du die aktuellen Versionen all deiner Plugins und deines Themes benutzt. Falls das der Fall ist, könntest du die Entwickler des in deinen Warnungen erwähnten Codes bitten, diesen zu aktualisieren. 

    Und das im Theme Menü:

    jQuery Migrate Helper — Warnings encountered
    
    Diese Seite erzeugte folgende Warnungen:
    
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.delegate() is deprecated
        https://kevindenis.eu/wp-content/plugins/scormcloud/scripts/scormcloud.admin.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-content/themes/rife-free/js/admin-script.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.click() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.bind() is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.mousedown() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/common.min.js: jQuery.fn.focus() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/theme.min.js: jQuery.fn.bind() is deprecated
        https://kevindenis.eu/wp-admin/js/theme.min.js: jQuery.fn.resize() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/updates.min.js: jQuery.fn.change() event shorthand is deprecated
        https://kevindenis.eu/wp-admin/js/svg-painter.js: jQuery.fn.hover() is deprecated
    
    Bitte stelle sicher, dass du die aktuellen Versionen all deiner Plugins und deines Themes benutzt. Falls das der Fall ist, könntest du die Entwickler des in deinen Warnungen erwähnten Codes bitten, diesen zu aktualisieren. 

    Ich kenn mich da leider nicht so ganz aus.
    Kann mir da jemand helfen? Ich geh davon aus, dass das kostenlose Theme ein Problem ist.

    Der WordPress-Core enthält diverse Software von Drittanbietern, darunter auch jQuery. Die bisher verwendete Version war veraltet und wird von den jQuery-Entwicklern nicht mehr unterstützt. Die Plugin- und Theme-Entwickler wurden rechtzeitig auf die Änderung hingewiesen, haben sich aber nicht gekümmert.
    Da nach dem WordPress-Update einige Websitebetreiber mit ihren veralteten Themes und Plugins Probleme hatten, hat das Support-Team das Plugin Enable jQuery Migrate Helper zur Verfügung gestellt, das aber nur eine Übergangslösung sein soll. Die betroffenen Plugins und Themes sind dann immer noch veraltet – deshalb der ausdrückliche Hinweis: „Bitte stelle sicher, dass du die aktuellen Versionen all deiner Plugins und deines Themes benutzt. Falls das der Fall ist, könntest du die Entwickler des in deinen Warnungen erwähnten Codes bitten, diesen zu aktualisieren.“

    Ich hab heute Morgen in einem anderen Thread eine ausführlichere Antwort zum Thema „Die Antwort ist keine gültige JSON-Antwort.“ geschrieben, vielleicht magst du da mal reinschauen?

    https://de.wordpress.org/support/topic/keine-gueltige-json-antwort-3/#post-97615

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Das Thema „Aktualisierung fehlgeschlagen. Die Antwort ist keine gültige JSON-Antwort.“ ist für neue Antworten geschlossen.